# -*- coding: utf-8 -*-
""" new_fields table and associated widgets


"""
#-------------------------------------------------------------------------------
#
# DEFINITION
#
#-------------------------------------------------------------------------------
db.define_table("new_fields",
    Field("string", "string"),
    Field("list_string", "list:string"),
    Field("dictionary", "json"),
    Field("python_code", "text"),
    migrate="new_fields.table")

# NOTE: if we remove the json validator its seem to work ?
db.new_fields.dictionary.requires = None

#-------------------------------------------------------------------------------
#
# STORE CONFIGURATiON
#
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
#
# FIELDS CONFIGURATiON
#
#-------------------------------------------------------------------------------
fieldsModifier = dbui.FieldsModifier('new_fields')
fieldsModifier.configure_field('dictionary', headers=['foo', 'faa'],
                                             modifyKeys=True,
                                             dictCfg={"string": "test",
                                                      "boolean": False,
                                                      "integer": 0,
                                                      "float": 0.01,
                                                      "date": "not implemented"})
    
fieldsModifier.configure_field('python_code', xtype='xaceeditorfield')

#-------------------------------------------------------------------------------
#
# FORM CONFIGURATiON
#
#-------------------------------------------------------------------------------
formModifier = dbui.FormModifier('new_fields')
formModifier.configure(width=400)

#-------------------------------------------------------------------------------
#
# GRID CONFIGURATiON
#
#-------------------------------------------------------------------------------
