# -*- coding: utf-8 -*-
""" XXX table and associated widgets


"""
#-------------------------------------------------------------------------------
#
# DEFINITION
#
#-------------------------------------------------------------------------------
virtdb.define_table("harvester_selector",
    Field('year_start', 'integer', default=year),
    Field('year_end', 'integer'),
    Field('id_projects', db.projects, label='Project'),
    Field('id_teams', db.teams, label='Team'),                    
    Field('controller', 'string', label='Harvest'))

virtdb.harvester_selector.id_projects.requires = \
IS_IN_DB(db, 'projects.project')

virtdb.harvester_selector.id_teams.requires = \
IS_IN_DB(db, 'teams.team')

#-------------------------------------------------------------------------------
#
# FIELDS CONFIGURATiON
#
#-------------------------------------------------------------------------------
fieldsModifier = dbui.FieldsModifier('harvester_selector')
fieldsModifier.configure_field('year_start', flex=1)
fieldsModifier.configure_field('year_end', flex=1)
fieldsModifier.merge_fields('year_start', 
                            'year_end',
                            fieldLabel=T('Year'))

#-------------------------------------------------------------------------------
#
# FORM CONFIGURATiON
#
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
#
# GRID CONFIGURATiON
#
#-------------------------------------------------------------------------------
