/**
 * The plugin to replace a string defining a regular expression
 * by a regular expression object.
 *
 */
Ext.define('App.form.plugin.RegExp',  {

    extend: 'Ext.AbstractPlugin',
    alias: 'plugin.pRegExp',

    /**
     * Initialize the plugin.
     *
     * @param {Ext.Component} component
     *
     */
    init: function (component) {

        "use strict";

        if (component.regex && typeof (component.regex) === "string") {
            component.regex = new RegExp(component.regex);
        }
    }
});

