# -*- coding: utf-8 -*-
""" virtual table foo1 and associated widgets


"""
#-------------------------------------------------------------------------------
#
# DEFINITION
#
#-------------------------------------------------------------------------------
tp_string = "tool tip for the string"

virtdb.define_table("foo1",
    Field('my_string', 'string', comment=tp_string),
    Field('my_int', 'integer', requires=IS_INT_IN_RANGE(0, 100)),
    Field('my_date', 'date'),
    Field('my_format', default='html', requires=IS_IN_SET(['html', 'latex', 'pdf'])),
    Field('my_axis'),
    Field('my_granularity'))

#-------------------------------------------------------------------------------
#
# FIELDS CONFIGURATiON
#
#-------------------------------------------------------------------------------
fieldsModifier = dbui.FieldsModifier('foo1')
fieldsModifier.configure_field('my_axis', emptyText='axis')
fieldsModifier.configure_field('my_granularity', emptyText='granularity')
fieldsModifier.merge_fields('my_axis', 
                            'my_granularity',
                            fieldLabel=T('My_Merge'))

#-------------------------------------------------------------------------------
#
# FORM CONFIGURATiON
#
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
#
# GRID CONFIGURATiON
#
#-------------------------------------------------------------------------------
