/**
 * French translation
 *
 */

if (App.panel.BaseWithSelector) {
    Ext.apply(App.panel.BaseWithSelector.prototype, {
        textGo: 'Go',
        textReset: 'Annuler'
    });
}

if (App.form.field.ComboBox) {
    Ext.apply(App.form.field.ComboBox.prototype, {
        textSelect: 'Sélectioner un(e) '
    });
}

if (App.form.field.Dict) {
    Ext.apply(App.form.field.Dict.prototype, {
        textAddMenu: 'Ajouter',
        textAddTitle: 'Entrez le nom de la clé',

        textDestroyMenu: 'Détruire',
        textDestroyTitle: 'Voulez-vous vraiment détruire la clé',

        textErrorTitle: 'Erreur ...',
        textErrorMsg: 'Cette clé existe déjà !',

        textUpdateMenu: 'Modifier',
        textUpdateTitle: 'Modifier  la clé'

    });
}

if (App.form.field.List) {
    Ext.apply(App.form.field.List.prototype, {
        textAdd: 'Ajouter un élément',
        textDestroy: 'Détruire cet élément',
        textDestroytitle: 'Détruire ...',
        textDestroyMsg: 'Voulez-vous vraiment détruire cet élément',
        textGoDown: 'Déplacer vers le bas',
        textGoUp: 'Déplacer vers le haut'
    });
}

if (App.form.Panel) {
    Ext.apply(App.form.Panel.prototype, {
        textCreate      : 'Créer',
        textDestroy     : 'Détruire',
        textDuplicate   : 'Dupliquer',
        textReset       : 'Annuler',
        textUpdate      : 'Actualiser',

        textCreateErrorAction: "L'enregistrement a été détruit.",
        textCreateFailed: 'La création a échoué...',
        textDbAction: "La base de donnée n'a pas été modifiée.",
        textDeleteErrorAction: "L'enregistrement a été gardé.",
        textDeleteFailed: 'La destruction a échouée...',
        textError: 'Erreur...',
        textServerError: 'Erreur coté serveur.',
        textStoreError: "la zone de skoctage interne n'est pas défini !!!",
        textUpdateErrorAction: "Les modifications ont été annulées.",
        textUpdateFailed: 'La mise à jour a échoué...'
    });
}

if (App.grid.button.ExpertMenu) {
    Ext.apply(App.grid.button.ExpertMenu.prototype, {
        textExport: 'Exporter dans un fichier CSV',
        textReset: 'Reset'
    });
}

if (App.grid.plugin.Paging) {
    Ext.apply(App.grid.plugin.Paging.prototype, {
        textPlus: 'Plus',
        textSlider: 'Entrées par page'
    });
}

if (App.grid.plugin.Toolbar) {
    Ext.apply(App.grid.plugin.Toolbar.prototype, {
        textEntries: 'Entrées',
        textPlus: 'Plus'
    });
}

if (App.grid.plugin.RowEditor) {
    Ext.apply(App.grid.plugin.RowEditor.prototype, {
        addTitle        : "Créer un enregistrement...",
        deleteTitle     : "Détruire un enregistrement...",
        duplicateTitle  : "Dupliquer un enregistrement..",
        editTitle       : "Actualiser un enregistrement...",
        viewTitle       : "Voir un enregistrement...",
        textMsg         : 'Sélectioner un enregistrement !'
    });
}

if (App.grid.plugin.RowEditorConfirmDelete) {
    Ext.apply(App.grid.plugin.RowEditorConfirmDelete.prototype, {
        confirmMsg      : 'Voulez-vous vraiment détruire cet élément ?'
    });
}

if (App.grid.plugin.RowEditorContextMenu) {
    Ext.apply(App.grid.plugin.RowEditorContextMenu.prototype, {
        textAdd         : 'Ajouter',
        textCreate      : 'Créer',
        textDestroy     : 'Détruire',
        textDuplicate   : 'Dupliquer',
        textUpdate      : 'Actualiser',
        textView        : 'Voir'
    });
}

if (App.panel.GridWithFilter) {
    Ext.apply(App.panel.GridWithFilter.prototype, {
        textReset: 'Annuler'
    });
}

if (App.panel.plugin.LoaderException) {
    Ext.apply(App.panel.plugin.LoaderException.prototype, {
        textError: 'Erreur  ...'
    });
}

if (App.panel.WithUrlSelector) {
    Ext.apply(App.panel.WithUrlSelector.prototype, {
        textLoad: 'chargement en cours...',
        textProgressBar: 'Fichier en préparation. Soyez patient ...'
    });
}

if (App.viewport.plugin.Login) {
    Ext.apply(App.viewport.plugin.Login.prototype, {
        textChangePwd: 'Changer votre mot de passe',
        textLogin: "S'identifier",
        textLogout: "Quitter l'application"
    });
}
