/**
 * Default script to configure and launch the web application
 *
 */
/*global App */
Ext.onReady(function(){

    "use strict";

    var app;

    Ext.QuickTips.init();

    // Expose the remote methods
    Ext.direct.Manager.addProvider(App.REMOTE_API);

    // define the models
    App.defineModels();

    // Close user session on the server.
    // Action trigger when the page is refreshed or when the tab is closed.
    // NOTE: It should work when the browser is closed to.
    // Not working with FireFox 17.0.8, web2py 2.4.5 and Ext JS 3.4.0.
    Ext.EventManager.on(window, 'beforeunload', App.closeUserSession);

	// Instantiate the application
	app = Ext.create('App.viewport.Viewport', App.config.viewport);
});